#include "defs.h"
/*
John Severson
11/15/22
CPSC 1011 section 001
Lab 11
This program copies an image using pointers and file pointers. It then shrinks
the image to one half of its original size.
*/



//gets the header information form the input file
header getHeader(FILE *in) {
	
	header h1;
	
	fscanf(in, "%s %i %i %i", h1.type, &h1.width, &h1.height, &h1.maxColor);

	return h1;
}

header getHalfHeader(FILE *in) {
	header h2;

   fscanf(in, "%s %i %i %i", h2.type, &h2.width, &h2.height, &h2.maxColor);


	return h2;

}

